import frontmatter, os, sys, getopt
from io import BytesIO



def main(argv):
    folder = ''
    try:
        opts, args = getopt.getopt(argv,"hf:",["folder="])
    except getopt.GetoptError:
        print('template.py -f <folder>')
        sys.exit(2)
    for opt, arg in opts:
        if opt == '-h':
            print('template.py -f <folder>')
            sys.exit()
        elif opt in ("-f", "--folder"):
            folder = arg

    try:
        os.makedirs(folder)
    except OSError:
        pass



    with open(f"{folder}/contents.md", "w") as file:

        metadata = {
            'folder': folder,
            'title': '',
            'post_width': 75,
            'post_height': 75,
            'page_width': 210,
            'page_height': 297,
            'background': 'white',
            'margin': 5,
            'unit': 'mm',
            'contents': ''
        }

        page = frontmatter.Post('', **metadata)
        file.write(frontmatter.dumps(page))




if __name__ == "__main__":
   main(sys.argv[1:])